zenilib: zenilib/jni/external/sdl/src/video/SDL_blit.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
SDL_blit.c File Reference
`#include "SDL_config.h"`
`#include "SDL_video.h"`
`#include "SDL_sysvideo.h"`
`#include "SDL_blit.h"`
`#include "SDL_blit_auto.h"`
`#include "SDL_blit_copy.h"`
`#include "SDL_blit_slow.h"`
`#include "SDL_RLEaccel_c.h"`
`#include "SDL_pixels_c.h"`

Go to the source code of this file.

## Functions

int | SDL_CalculateBlit (SDL_Surface *surface)
static SDL_BlitFunc | SDL_ChooseBlitFunc (Uint32 src_format, Uint32 dst_format, int flags, SDL_BlitFuncEntry *entries)
static int | SDL_SoftBlit (SDL_Surface *src, SDL_Rect *srcrect, SDL_Surface *dst, SDL_Rect *dstrect)
static SDL_bool | SDL_UseAltivecPrefetch ()

## Function Documentation

int SDL_CalculateBlit | ( | SDL_Surface * | surface | ) |

Definition at line 216 of file SDL_blit.c.

References SDL_PixelFormat::BitsPerPixel, SDL_BlitMap::blit, SDL_PixelFormat::BytesPerPixel, SDL_BlitMap::data, SDL_BlitMap::dst, SDL_BlitInfo::dst_fmt, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::flags, SDL_Surface::flags, SDL_Surface::format, SDL_PixelFormat::format, SDL_BlitMap::identity, SDL_BlitMap::info, SDL_Surface::map, map, NULL, SDL_Surface::pitch, SDL_Blit_Slow(), SDL_BlitCopy(), SDL_CalculateBlit0(), SDL_CalculateBlit1(), SDL_CalculateBlitA(), SDL_CalculateBlitN(), SDL_ChooseBlitFunc(), SDL_COPY_BLEND, SDL_COPY_RLE_DESIRED, SDL_GeneratedBlitFuncTable, SDL_InvalidateMap(), SDL_ISPIXELFORMAT_FOURCC, SDL_ISPIXELFORMAT_INDEXED, SDL_RLEACCEL, SDL_RLESurface(), SDL_SetError(), SDL_SoftBlit(), SDL_UnRLESurface(), SDL_BlitInfo::src_fmt, and SDL_BlitInfo::src_pitch.

Referenced by SDL_MapSurface().

static SDL_BlitFunc SDL_ChooseBlitFunc | ( | Uint32 | src_format,
|  | Uint32 | dst_format,
|  | int | flags,
|  | SDL_BlitFuncEntry * | entries
| ) |  |

static

Definition at line 128 of file SDL_blit.c.

References SDL_BlitFuncEntry::cpu, SDL_BlitFuncEntry::func, i, NULL, SDL_COPY_ADD, SDL_COPY_BLEND, SDL_COPY_COLORKEY, SDL_COPY_MOD, SDL_COPY_MODULATE_ALPHA, SDL_COPY_MODULATE_COLOR, SDL_COPY_NEAREST, SDL_CPU_3DNOW, SDL_CPU_ALTIVEC_NOPREFETCH, SDL_CPU_ALTIVEC_PREFETCH, SDL_CPU_ANY, SDL_CPU_MMX, SDL_CPU_SSE, SDL_CPU_SSE2, SDL_getenv(), SDL_Has3DNow(), SDL_HasAltiVec(), SDL_HasMMX(), SDL_HasSSE(), SDL_HasSSE2(), SDL_sscanf(), and SDL_UseAltivecPrefetch().

Referenced by SDL_CalculateBlit().

static int SDL_SoftBlit | ( | SDL_Surface * | src,
|  | SDL_Rect * | srcrect,
|  | SDL_Surface * | dst,
|  | SDL_Rect * | dstrect
| ) |  |

static

Definition at line 34 of file SDL_blit.c.

References SDL_PixelFormat::BytesPerPixel, SDL_BlitMap::data, SDL_BlitInfo::dst, SDL_BlitInfo::dst_fmt, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_pitch, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, SDL_Rect::h, SDL_BlitMap::info, SDL_Surface::map, SDL_Surface::pitch, SDL_Surface::pixels, SDL_LockSurface(), SDL_MUSTLOCK, SDL_RectEmpty(), SDL_UnlockSurface(), SDL_BlitInfo::src, SDL_BlitInfo::src_fmt, SDL_BlitInfo::src_h, SDL_BlitInfo::src_pitch, SDL_BlitInfo::src_skip, SDL_BlitInfo::src_w, SDL_Rect::w, SDL_Rect::x, and SDL_Rect::y.

Referenced by SDL_CalculateBlit().

static SDL_bool SDL_UseAltivecPrefetch | ( |  | ) |

static

Definition at line 120 of file SDL_blit.c.

References SDL_TRUE.

Referenced by SDL_ChooseBlitFunc().